QGIS Application - Feature request #8259
Documentation SAGA GIS in Sextante
2013-07-10 09:56 PM - Samuel Fernando Mesa Giraldo

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17063
Description

You may change the code of the function helpFile() in file SagaAlgorithm.py:

def helpFile(self):
return os.path.join(os.path.dirname(__file_ ), "help", self.name.replace(" ", ™) + ".html")

[[https://github.com/qgis/Quantum-GIS/blob/master/python/plugins/sextante/saga/SagaAlgorithm.py#L.370]]

For the following code:

def helpFile(self):
import re
return os.path.join(os.path.dirname(__file__), "help”, re.sub('["A-Za-z0-9]+', ", self.name).title() + ".html")

This is to remove invalid characters from the names of the commands and make compactible with SAGA help html files that attached to
this request.

Related issues:

Related to QGIS Application - Bug report # 9110: Empty SAGA help Closed 2013-11-21
History

#1 - 2014-10-04 11:56 AM - Giovanni Manghi

- Category deleted (56)

- Project changed from 78 to QGIS Application

#2 - 2014-10-04 11:57 AM - Giovanni Manghi
- Category set to Processing/SAGA

#3 - 2014-11-22 03:17 AM - Alexander Bruy

- Status changed from Open to Closed

As Processing now used documentation in RST format and we decide to put it into User Guide, this can be closed
